Nourishing Pizza Microservice

    react-drawable

    0.0.2 • Public • Published

    react-drawable

    Under alpha version development.

    Install

    npm install yusukeshibata/react-drawable

    Add it to your project

    You can use rnpm to add native dependencies automatically:

    $ rnpm link

    or do it manually as described below:

    iOS

    Cocoapods

    add the following line to your Podfile: pod 'Drawable', :path => '../node_modules/react-drawable'

    or:

    Manually

    1. Open your project in XCode, right click on Libraries and click Add Files to "Your Project Name"
      Look under node_modules/react-drawable and add Drawable.xcodeproj.
    2. Add libDrawable.a to Build Phases -> Link Binary With Libraries.
    3. Click on Drawable.xcodeproj in Libraries and go the Build Settings tab. Double click the text to the right of Header Search Paths and verify that it has $(SRCROOT)/../react-native/React - if it isn't, then add it.
      This is so XCode is able to find the headers that the Drawable source files are referring to by pointing to the header files installed within the react-native node_modules directory.

    Then:

    • Whenever you want to use it within React code now you can: import Drawable from 'react-drawable';

    If you're having trouble, you can point your package.json at github to see if the issue has been fixed. Simply change the dependency

    "react-drawable": "yusukeshibata/react-drawable",

    to get the data right from github instead of npm and then npm install

    For instance the podspec file does not contain the right data (author attributes etc..) in npm while it does in the github repo.

    Android

    1. in android/settings.gradle

      ...
      include ':react-drawable'
      project(':react-drawable').projectDir = new File(rootProject.projectDir, '../node_modules/react-drawable/android')
    2. in android/app/build.gradle add:

      dependencies {
           ...
           compile project(':react-drawable')
      }
    3. and finally, in android/src/main/java/com/{YOUR_APP_NAME}/MainActivity.java for react-native < 0.29, or android/src/main/java/com/{YOUR_APP_NAME}/MainApplication.java for react-native >= 0.29 add:

      //... 
      import com.yusukeshibata.Drawable.DrawablePackage; // <--- This! 
      //... 
      @Override
      protected List<ReactPackage> getPackages() {
          return Arrays.<ReactPackage>asList(
           new MainReactPackage(),
           new DrawablePackage() // <---- and This! 
          );

    }

    
    ## License
    
    MIT
    

    Keywords

    none

    Install

    npm i react-drawable

    DownloadsWeekly Downloads

    6

    Version

    0.0.2

    License

    MIT

    Last publish

    Collaborators

    • yusukeshibata